package com.ghy.order.mapper;

import com.ghy.order.domain.OrderMaster;

import java.util.List;

/**
 * 主订单的mapper层
 *
 * @author HH 2022/4/24
 */
public interface OrderMasterMapper {

    /**
     * @param orderMaster 主订单属性
     * @return 成功条数
     */
    int insertOrderMaster(OrderMaster orderMaster);

    /**
     * @param orderMaster 主订单属性
     * @return 成功条数
     */
    int updateOrderMaster(OrderMaster orderMaster);

    /**
     * @param orderMaster 主订单入参
     * @return 主订单集合
     */
    List<OrderMaster> selectOrderMasterList(OrderMaster orderMaster);

    /**
     * @param orderMasterId 主订单id
     * @return 主订单
     */
    OrderMaster selectById(Long orderMasterId);

    /**
     * 批量删除主订单信息
     *
     * @param orderMasterIds 需要删除的数据ID
     * @return 结果
     */
    int deleteOrderMasterByIds(Long[] orderMasterIds);

    /**
     * @param orderMasterCode 主订单编码
     * @return 主订单信息
     */
    OrderMaster checkOrderMasterCodeUnique(String orderMasterCode);

    /**
     * 用 OrderMaster 查询主订单信息
     *
     * @param orderMasterCode 主订单code
     * @return 主订单信息
     */
    OrderMaster selectByCode(String orderMasterCode);
}
